【U-Verify重要通知】请于4月30日前完成联通SDK的升级
最新资讯 • 产品动态产品资讯
5400
2024-3-21
摘要:
请尽快完成联通SDK的升级,否则会导致联通用户无法使用号码认证提供的相关功能。
亲爱的U-Verify用户您好:

由于号码认证联通用户系统升级,原有的联通SDK和升级后的SDK不兼容,需要开发者在友盟+智能认证控制台重新创建新的方案后,并下载最新的SDK进行集成,Android、iOS均要升级

建议您在4月30日前,将所有用户的SDK版本升级到最新版本。如未及时升级联通SDK,联通系统将不再提供服务,APP的联通用户将无法使用一键登录和号码认证提供的相关功能,进而影响注册转化率和留存率。

具体升级版本及操作步骤如下:

所有在2024年3月14日及之前创建的认证方案,均需要去友盟后台升级认证方案拿到新秘钥,并且需要将旧版认证SDK至少升级到以下版本:

SDK类型

SDK升级联通后版本

Android

标准有UI(官网下载地址https://devs.umeng.com/?platform=android


特殊无UI(线下接入版本)

iOS

标准有UI(官网下载地址https://devs.umeng.com/?platform=ios&component=verify

特殊无UI(线下接入版本)



升级流程及操作步骤:

1. 登录友盟+智能认证控制台:https://ai.login.umeng.com/apps/list
2. 进入某应用【认证管理】页面,可以看到之前已创建的认证方案,点击【查看秘钥】


3. 如果是旧版认证方案,在操作页可以看到有个【联通升级】按钮,请点击此按钮。(如果没有此按钮说明是新认证方案不必升级)


点击确定


4. 新秘钥生成需要等待一段时间


5. 拿到新秘钥,此时认证方案已经升级完毕,直接复制秘钥即可


6. 下载最新的认证SDK,集成时传入最新的秘钥即可
注:升级完成后,集成了旧版本SDK的APP和集成新版本SDK的APP可以同时使用。但请务必确保在2024年5月31日前,集成旧版本SDK的用户升级到新版本APP上。在此时间之后,由于联通系统不再提供服务,集成旧版本SDK的APP的联通用户将无法使用号码认证提供的相关功能。在此过程中,由于最终用户升级的时间不同,可能会出现新、旧2个方案都产生费用账单的情况。


—U-Verify产品组